rem $DBA/depend.sql
rem Lists all dependencies for a database.
rem
set verify off
set pagesize 50000
set feedback off
column dname heading "Dependent|Name" format A25
column pname heading "Object|Name" format A25
column d_timestamp heading "Dependent|Time"
column p_timestamp heading "Object|Time"
ttitle left 'DEPEND - Dependencies' skip 2
spool depend.lst
set termout off
select o.name dname, d_timestamp, o2.name pname, p_timestamp
from sys.dependency$ d, sys.obj$ o, sys.obj$ o2
where d_obj# = o.obj# and p_obj# = o2.obj#;
set termout on
spool off
exit
