rem $DBA/tabanaln.sql
rem
rem Creates a data file listing all of the largest tables in a tablespace for
rem a given tablespace.
rem
rem Parameters:
rem    &1 = Oracle SID
rem    &2 = Tablespace name to be analyzed
rem
set termout off
set feedback off
set verify off
set heading off
set pagesize 9999
rem
column sumbytes noprint new_value xbytes
select sum(bytes) sumbytes
from dba_segments where tablespace_name = '&&2';
rem
spool tabanaln.lis
rem
select rtrim(owner)||'.'||rtrim(segment_name)
from dba_segments
where	tablespace_name = '&&2' and
	bytes > to_number(nvl('&xbytes','0')) / 300 and
	segment_type = 'TABLE'
order by bytes desc;
rem
spool off
exit
