rem $DBA/audobj.sql
rem
rem Creates a report of all statement and object auditing records
rem
set echo off
set feedback on
set pagesize 9999
set term off
set verify off
spool audobj.lis
col username format a12
col obj_name format a30
col action_name format a15
col ses_actions format a11 heading 'AACDGIILRSU|luoegnnoeep|tdmladscnld'
col cnt format 999999 heading 'Count'
select username, obj_name, action_name, substr(ses_actions, 1, 11) ses_actions,
	count(*) cnt
	from dba_audit_object
	group by username, obj_name, action_name, substr(ses_actions, 1, 11);
spool off
set term on
prompt Created audobj.lis...
exit
