rem $DBA/auditobj.sql
rem
rem Prints a report of all object auditing options in effect
rem
set echo off
set feedback on
set term off
set verify off
spool auditobj.lis
col owner noprint
col object_name format a20;
col object_type format a5 heading "TYPE";
select * from dba_obj_audit_opts
where	alt <> '-/-' or aud <> '-/-' or com <> '-/-' or del <> '-/-' or
	gra <> '-/-' or ind <> '-/-' or ins <> '-/-' or loc <> '-/-' or
	ren <> '-/-' or sel <> '-/-' or upd <> '-/-' or ref <> '-/-' or
	exe <> '-/-';
spool off
set term on
prompt Created auditobj.lis...
exit
