rem $DBA/discon.sql
rem
rem Disables all non-SYS Primary Key, Unique, and Foreign Key constraints for a
rem database.
rem
rem Last Change 08/12/97 by Brian Lomasky
rem
set linesize 132
set pagesize 0
set heading off
set verify off
set echo off
set feedback off
set termout off
spool disconxx.sql
prompt spool discon.lis
select 'ALTER TABLE '||OWNER||'.'||TABLE_NAME||CHR(10)||
	'  DISABLE CONSTRAINT '|| CONSTRAINT_NAME || ';'
from dba_constraints
where constraint_type = 'R' and status = 'ENABLED' and table_name in
(select table_name from dba_tables where owner != 'SYS');
select 'ALTER TABLE '||OWNER||'.'||TABLE_NAME||CHR(10)||
	'  DISABLE CONSTRAINT '|| CONSTRAINT_NAME || ';'
from dba_constraints
where constraint_type in ('P','U') and status = 'ENABLED' and table_name in
(select table_name from dba_tables where owner != 'SYS');
prompt spool off
spool off
@disconxx.sql
prompt Check discon.lis log file for any errors
exit
