rem $DBA/fixtable.sql
rem
rem Performs a SELECT * command for each of the fixed tables
rem
set heading off
set pagesize 0
set term off
define cr=chr(10)
spool cr_fixed.sql
select 'set heading off' from dual;
select 'set pagesize 0' from dual;
select 'set term off' from dual;
select 'spool fixed.lis' from dual;
select 'prompt Select from '||name||':'||&cr||'select * from '||name||';'
	from v$fixed_table where type = 'TABLE';
select 'spool off' from dual;
select 'set term on' from dual;
select 'prompt Created fixed.lis' from dual;
select 'exit' from dual;
spool off
set term on
prompt
prompt
prompt Type:  sqlplus SYS/<PW> @cr_fixed.sql  to create a report of fixed tables
prompt
prompt
exit
