/* ==================================================== */
/* Copyright(c) 1997,1998 by SAVANT Corp.               */
/* All rights reserved.                                 */
/* ==================================================== */

REM ******************************************************
REM Revision history:
REM
REM 12/30/97: set verify off                         [JMB]
REM 11/14/97: original creation                      [JMB]
REM ******************************************************

prompt **********************************************
prompt * This script creates private synonyms to
prompt * enable a non-QDBA user to reference the Q
prompt * objects properly.
prompt *
prompt * You will be prompted for the username which 
prompt * will be using the Q Viewer and for the QDBA
prompt * username (normally QDBA).
prompt **********************************************
prompt
pause press enter to continue...
set verify off
undefine username
undefine qdba
accept username prompt 'Enter the username: '
accept qdba prompt 'Enter QDBA username: '

GRANT Q_USER_ROLE TO &&username;

REM **************************************
REM synonyms for PACKAGES
REM **************************************
CREATE SYNONYM &&username..Q$BGPROC FOR &&qdba..Q$BGPROC;                                             
CREATE SYNONYM &&username..Q$CVAR FOR &&qdba..Q$CVAR;                                                 
CREATE SYNONYM &&username..Q$DETL FOR &&qdba..Q$DETL;                                                 
CREATE SYNONYM &&username..Q$INSTAT FOR &&qdba..Q$INSTAT;                                             
CREATE SYNONYM &&username..Q$REPL FOR &&qdba..Q$REPL;                                                 
CREATE SYNONYM &&username..Q$SPACE FOR &&qdba..Q$SPACE;                                               
CREATE SYNONYM &&username..Q$TREND FOR &&qdba..Q$TREND;                                               
CREATE SYNONYM &&username..Q$SESS FOR &&qdba..Q$SESS;                                                 
CREATE SYNONYM &&username..Q$INST2 FOR &&qdba..Q$INST2;                                               
CREATE SYNONYM &&username..Q$DECL FOR &&qdba..Q$DECL;                                                 

REM **************************************
REM synonyms for SEQUENCES
REM **************************************
CREATE SYNONYM &&username..Q$INSTAT_SEQ FOR &&qdba..Q$INSTAT_SEQ;                                     

REM **************************************
REM synonyms for TABLES
REM **************************************
CREATE SYNONYM &&username..Q$BGP_CONFIG FOR &&qdba..Q$BGP_CONFIG;                                     
CREATE SYNONYM &&username..Q$INSTAT_DETL FOR &&qdba..Q$INSTAT_DETL;                                   
CREATE SYNONYM &&username..Q$MTSSERV_DETL FOR &&qdba..Q$MTSSERV_DETL;                                 
CREATE SYNONYM &&username..Q$MTSDISP_DETL FOR &&qdba..Q$MTSDISP_DETL;                                 
CREATE SYNONYM &&username..Q$LIBCACHE_DETL FOR &&qdba..Q$LIBCACHE_DETL;                               
CREATE SYNONYM &&username..Q$LATCHSTAT_DETL FOR &&qdba..Q$LATCHSTAT_DETL;                             
CREATE SYNONYM &&username..Q$IOWAITS_DETL FOR &&qdba..Q$IOWAITS_DETL;                                 
CREATE SYNONYM &&username..Q$INSTAT_LOG FOR &&qdba..Q$INSTAT_LOG;                                     
CREATE SYNONYM &&username..Q$DICACHE_DETL FOR &&qdba..Q$DICACHE_DETL;                                 
CREATE SYNONYM &&username..Q$BGP_DEBUG FOR &&qdba..Q$BGP_DEBUG;                                       
CREATE SYNONYM &&username..Q$SESSIONWAIT_DETL FOR &&qdba..Q$SESSIONWAIT_DETL;                         
CREATE SYNONYM &&username..Q$SEGWATCH FOR &&qdba..Q$SEGWATCH;                                         
CREATE SYNONYM &&username..Q$SEGFAIL_DETL FOR &&qdba..Q$SEGFAIL_DETL;                                 
CREATE SYNONYM &&username..Q$SEG FOR &&qdba..Q$SEG;                                                   
CREATE SYNONYM &&username..Q$PLAN_TABLE FOR &&qdba..Q$PLAN_TABLE;                                     

REM **************************************
REM synonyms for VIEWS
REM **************************************
CREATE SYNONYM &&username..Q$ACCESS FOR &&qdba..Q$ACCESS;                                             
CREATE SYNONYM &&username..Q$INSTAT_DLTA FOR &&qdba..Q$INSTAT_DLTA;                                   
CREATE SYNONYM &&username..Q$SESSTAT FOR &&qdba..Q$SESSTAT;                                           
CREATE SYNONYM &&username..Q$SESSION FOR &&qdba..Q$SESSION;                                           
CREATE SYNONYM &&username..Q$TBSSEG FOR &&qdba..Q$TBSSEG;                                             
CREATE SYNONYM &&username..Q$TBSFREE FOR &&qdba..Q$TBSFREE;                                           
CREATE SYNONYM &&username..Q$TBSBLKS FOR &&qdba..Q$TBSBLKS;                                           
CREATE SYNONYM &&username..Q$SESSTOT FOR &&qdba..Q$SESSTOT;                                           
CREATE SYNONYM &&username..Q$SESSIO FOR &&qdba..Q$SESSIO;                                             
CREATE SYNONYM &&username..Q$FILFREE FOR &&qdba..Q$FILFREE;                                           
CREATE SYNONYM &&username..Q$OBJCHSUM FOR &&qdba..Q$OBJCHSUM;                                         
CREATE SYNONYM &&username..Q$LCKCON FOR &&qdba..Q$LCKCON;                                             
CREATE SYNONYM &&username..Q$AVG_IO FOR &&qdba..Q$AVG_IO;                                             
CREATE SYNONYM &&username..Q$CIRCUIT FOR &&qdba..Q$CIRCUIT;                                           

