rem $DBA/renamcol.sql
rem
rem Renames a column in an Oracle database.
rem
rem Author: David T. Bath (dtb@ftp.bf.rmit.edu.au)
rem Notes:
rem     1.  You need DBA privileges
rem     2.  You should bounce the database after this to flush the SGA
rem     3.  This is UNSUPPORTED, NAUGHTY, etc, etc, etc, etc
undefine newname
undefine oldname
undefine ownername
undefine tablename
update SYS.COL$ c
	set c.NAME = '&&newname'
	where c.NAME = '&&oldname'
	and c.OBJ# in (select o.OBJ# from SYS.OBJ$ o, SYS.USER$ u
	where o.OWNER# = u.USER# and u.NAME = '&&ownername' and
	o.NAME = '&&tablename');
