rem $DBA/tabanald.sql
rem
rem Displays the first date field, if any, that was created on a given table
rem
rem Last Change 06/27/96 by Brian Lomasky
rem
set termout on
set verify off
set feedback off
set heading off
set pagesize 0
select rtrim(column_name)
from dba_tab_columns
where owner = '&&1' and table_name = '&&2' and data_type = 'DATE' and
	column_id in (select min(column_id) from dba_tab_columns
	where owner = '&&1' and table_name = '&&2' and data_type = 'DATE');
exit
