REM $DBA/CHKCM.SQL
REM set pages 0
REM set heading off
REM set verify off
set feedback on
Select ('Internal Conc Manager is running on - ' || node_name) Status
  from  Fnd_Concurrent_Processes P, FND_V$Process, Fnd_Profile_Options PO,
        Fnd_Profile_Option_Values POV
 where  ( ( Profile_Option_Value != 'OS' And
           (OS_Process_Id     = Spid And Oracle_Process_Id = pid  ) And
           (Concurrent_Queue_Id  = 1 And Queue_Application_ID = 0 ))
       OR ( Profile_Option_Value = 'OS' And
            OS_Process_ID = Spid And
           (Concurrent_Queue_Id  = 1 And Queue_Application_ID = 0 )) )
    And ( PO.Profile_Option_ID = POV.Profile_Option_ID And
          PO.Application_ID    = POV.Application_ID )
    And Profile_Option_Name    = 'CONC_PMON_METHOD'
    And Process_Status_Code = 'A' ;
exit
;
