#!/bin/sh
#
# $DBA/grantsys
#
# Grants yourself required privileges in order to grant other users access
# to the $TOOLS/dbousers, $TOOLS/dbo_sql, and $TOOLS/locks utilities
#
if [ $# -eq 0 ]; then
	echo "Usage: grantsys <database-SID-to-be-accessed>"
	exit 2
fi
mysid=`fixcase $1`
valid_db $mysid
if [ $? -ne 0 ]; then exit 2
fi
SID=$mysid
. define
me=`logname`
fil=grantsys_tmp.sql
echo "grant select on v_\$database to ops\$$me with grant option;" > $fil
echo "grant select on v_\$lock to ops\$$me with grant option;" > $fil
echo "grant select on v_\$process to ops\$$me with grant option;" > $fil
echo "grant select on v_\$rollname to ops\$$me with grant option;" > $fil
echo "grant select on v_\$session to ops\$$me with grant option;" >> $fil
echo "grant select on v_\$sqlarea to ops\$$me with grant option;" >> $fil
echo "grant select on dba_objects to ops\$$me with grant option;" >> $fil
echo "exit" >> $fil
echo "Enter SYS password, when prompted:"
sqlplus sys @$fil
rm $fil
echo "Done..."
