rem $DBA/makeops.sql
rem Create a script to create a user account
rem
set term off echo off heading off feedback off verify off
set pagesize 0 linesize 80 recsep off
define cr=chr(10)
set concat +
spool makeops.tmp
set concat .
select 'create user '||'&&2'||' identified by '||'&&2 default'||&cr||-
	'tablespace '|| default_tablespace ||' temporary tablespace '||-
	temporary_tablespace||' profile '||profile||';' from dba_users-
	where username=upper('&&1');
rem Next line creates an impossible password, so user can can only access
rem the account via the OPS$ account on the server, and then only by the "/"
rem clause.
select 'alter user &&2 identified by values ''no access'';' from dual;
select 'grant connect to &&2;' from dual;
select 'exit;' from dual;
spool off;
exit
