/* PROFILES.SQL */
/* Prints a report of all profiles defined in the database */
set pagesize 66
ttitle skip 2 center 'PROFILES - Profiles' skip 2
column profile format A15 heading "Profile|Name"
column resource_name format A25 heading "Resource|Name"
column limit format A15 heading "Limit"
spool profiles.lst
set termout off
select profile, resource_name, limit from dba_profiles;
spool off
set termout on
/* prompt Created profiles.lst for your viewing pleasure... */
exit
