rem $DBA/ccontrol.sql
ttitle off
set termout off
set feedback off
set heading off
set pagesize 9999
set verify off
create table create_control_tmp (
	linen	number,
	lin	varchar2(80));
declare
	lineno		number;
	prev_group	number;
	prev_size	number;
	a_lin		varchar2(80);
	cursor c1 is
		select a.group#, member, bytes
			from v$logfile a, v$log b
			where a.group# = b.group#;
begin
	lineno := 0;
	prev_group := -1;
	for ee in c1 loop
		if ee.group# = prev_group then
			a_lin := a_lin || ',';
			lineno := lineno + 1;
			insert into create_control_tmp values (lineno, a_lin);
			a_lin := '         ''' || rtrim(ee.member) || '''';
		else
			if prev_group != -1 then
				a_lin := a_lin || ') size ' || prev_size ||'K,';
				lineno := lineno + 1;
				insert into create_control_tmp values (lineno,
					a_lin);
			end if;
			a_lin := 'group '|| ee.group#|| ' (''' ||
				rtrim(ee.member) || '''';
			prev_group := ee.group#;
			prev_size := ee.bytes / 1024;
		end if;
	end loop;
	if prev_group != -1 then
		a_lin := a_lin || ') size ' || prev_size || 'K';
		lineno := lineno + 1;
		insert into create_control_tmp values (lineno, a_lin);
	end if;
	commit work;
end;
/
spool cr_&1..sql
column seq format 99 noprint
column xxx format 999 noprint
select 1 seq,
	0 xxx,
	'create controlfile set database &1 logfile'
	from sys.dual
union
select 2 seq,
	linen xxx,
	rtrim(lin)
	from create_control_tmp
union
select 3 seq,
	0 xxx,
	'resetlogs'
	from dual
union
select 4 seq,
	0 xxx,
	log_mode
	from v$database
union
select 5 seq,
	0 xxx,
	'MAXDATAFILES &&4'
	from dual
union
select 6 seq,
	0 xxx,
	'MAXLOGFILES &&5'
	from dual
union
select 7 seq,
	0 xxx,
	'MAXLOGMEMBERS &&6'
	from dual
union
select 8 seq,
	0 xxx,
	'MAXINSTANCES &&2'
	from dual
union
select 9 seq,
	0 xxx,
	'MAXLOGHISTORY &&3'
	from dual
union
select 10 seq,
	file_id xxx,
	decode(file_id,'1',' datafile ',',')||
	''''||rtrim(file_name)||''' size '||bytes/1024||'K'
	from dba_data_files
union
select 11 seq,
	0 xxx,
	';'
	from dual
order by 1,2,3;
spool off
drop table create_control_tmp;
set termout on
rem prompt Created cr_&1..sql which can be used to create a control file for &1
exit
