rem $DBA/cindexd.sql
rem
rem This script will display a list and print a file of the columns that make
rem up a schema and table
rem
rem Last Change 09/30/97 by Brian Lomasky
rem

set echo off
set verify off
set linesize 80
set heading off
set pagesize 0
set feedback off
set term off
ttitle off

column tname new_value tnm
column own new_value ownr
select owner own, table_name tname from dba_tables
where owner = '&&1' and table_name = '&&2';

set term on
prompt
prompt The columns that make up table &&tnm are as follows:
prompt ----------------------------------------------------------------------;
prompt
describe &ownr..&tnm;
set term off

spool cindexd.tmp
select 'xyz'||column_name||'zy'
	from dba_tab_columns
	where owner = '&ownr' and table_name = '&tnm' and data_type <> 'LONG'
	and data_type <> 'LONG RAW';
spool off
exit
