rem locate1.sql
rem
rem Called by location to accumulate data for the location report
rem
rem Last Change 06/26/97 by Brian Lomasky
rem
set echo off
set feedback off
set linesize 88
set pagesize 0
set termout off
set verify off
define q=chr(39)
spool location.tmp
select 'insert into location_all_db_temp values (' || chr(10) ||
	&q || substr(replace(file_name,'?','&&1'),1,80) || &q || ',' ||chr(10)||
	&q || '&&2' || &q || ',' ||
	&q || 'Data' || &q || ',' ||
	&q || tablespace_name || &q || ',' ||
	to_char(trunc(bytes/1048576)) || ',' ||
	&q || decode(status,'AVAILABLE','Avail','INVALID','Inval','****') ||
		&q || ');'
	from dba_data_files
union
select 'insert into location_all_db_temp values (' || chr(10) ||
	&q || substr(member,1,80) || &q || ',' || chr(10) ||
	&q || '&&2' || &q || ',' ||
	&q || 'Redo' || &q || ',' ||
	&q || 'Grp ' || a.group# || &q || ',' ||
	to_char(trunc(bytes/1048576)) || ',' ||
	&q || decode(b.status,'CURRENT','Curr','INACTIVE','Inact',
		'UNUSED','Unuse','ACTIVE','Activ','****') || &q || ');'
	from v$logfile a, v$log b
	where a.group# = b.group#
union
select 'insert into location_all_db_temp values (' || chr(10) ||
	&q || substr(replace(name,'?','&&1'),1,80) || &q || ',' || chr(10) ||
	&q || '&&2' || &q || ',' ||
	&q || 'Parm' || &q || ',' ||
	&q || 'Ctrl ' || to_char(rownum) || &q || ',' ||
	'0' || ',' ||
	&q || decode(status,'INVALID','Inval','Good') || &q || ');'
	from v$controlfile
union
select 'insert into location_all_db_temp values (' || chr(10) ||
	&q || substr(replace(value,'?','&&1'),1,80) || &q || ',' || chr(10) ||
	&q || '&&2' || &q || ',' ||
	&q || 'Parm' || &q || ',' ||
	&q || 'Ifile' || &q || ',' ||
	'0' || ',' ||
	&q || 'Good' || &q || ');'
	from v$parameter where name = 'ifile'
union
select 'insert into location_all_db_temp values (' || chr(10) ||
	&q || substr(replace(p.value,'?','&&1'), 1, 80) || &q || ',' ||
		chr(10) ||
	&q || '&&2' || &q || ',' ||
	&q || 'Parm' || &q || ',' ||
	&q || 'Archive' || &q || ',' ||
	'0' || ',' ||
	&q || decode(d.log_mode, 'ARCHIVELOG', 'ENABL', 'Disab') || &q || ');'
	from v$parameter p, v$database d
	where p.name = 'log_archive_dest';
spool off
exit
