rem $DBA/tabanale.sql
rem
rem Displays the first date field, if any, that was created on a given index
rem
rem Last Change 06/27/96 by Brian Lomasky
rem
set termout on
set verify off
set feedback off
set heading off
set pagesize 0
select rtrim(i.column_name)
from dba_ind_columns i
where i.index_owner = '&&1' and i.index_name = '&&2' and i.column_name in
	(select t.column_name from dba_tab_columns t
	where t.owner = i.table_owner and t.table_name = i.table_name and
	t.data_type = 'DATE' and t.column_id in
		(select min(t2.column_id) from dba_tab_columns t2
		where t2.owner = t.owner and t2.table_name = t.table_name and
		t2.data_type = 'DATE'));
exit
