rem $DBA/tabanalv.sql
rem
rem Create sql script to display the size of an average row for a given index
rem
set termout off
set feedback off
set verify off
set heading off
set pagesize 9999
spool tabanalv.tmp
select 'set termout off' from dual;
select 'set feedback off' from dual;
select 'set heading off' from dual;
select 'column sar format 999999' from dual;
select 'spool tabanalv.tmp' from dual;
select 'select floor(' from dual;
select 'avg(nvl(vsize('||rtrim(column_name)||'), 0)) +'
	from dba_ind_columns
	where index_owner = '&&1' and index_name = '&&2';
select '0) sar from &&3;' from dual;
select 'spool off' from dual;
select 'exit' from dual;
spool off
exit
