/* USRS.SQL */
/* Prints a report of all user accounts defined in the database */
set pagesize 66
ttitle skip 2 center 'USRS - Database Users' skip 2
column username format A15
column user_id format 999 heading "ID"
column default_tablespace format A12 trunc heading "Default|Tablespace"
column temporary_tablespace format A12 trunc heading "Temporary|Tablespace"
column profile format A19 trunc heading "Profile"
spool usrs.lst
set termout off
select username, user_id, default_tablespace, temporary_tablespace, profile,
created
from dba_users;
spool off
set termout on
/* prompt Created usrs.lst for your viewing pleasure... */
exit
