set head off

select 'SYS.DBMS_SHARED_POOL Package status: '||status 
  from
	    sys.dba_objects
 where 
	    object_name='DBMS_SHARED_POOL'
   and owner = 'SYS'
UNION
select  'SYS.DBMS_SHARED_POOL Package status: DOES NOT EXIST'
  from
	dual
 where NOT EXISTS
		 (select 'X'   
  		    from  sys.dba_objects
 		   where  object_name='DBMS_SHARED_POOL'
           and  owner = 'SYS');


