/* ==================================================== */
/* Copyright(c) 1997 by SAVANT Corp.                    */
/* All rights reserved.                                 */
/* ==================================================== */
set verify off
set serveroutput on size 1000000

prompt **************************************************
prompt    System Performance list
prompt **************************************************
rem *****************************************************
rem * Modification History:
rem *
rem * 6/22/97:  added TO_CHAR to dbms_output    [JMB]
rem *           calls because some ORACLEs barf
rem * 5/22/97:  added to QSQL project           [JMB]
rem *****************************************************

DECLARE
sysperf_cur   q$trend.sysperf_list_cvtype;
sysperf_rec   q$trend.sysperf_list_rectype;
rec_count     INTEGER:=0;
BEGIN
   q$trend.open_sysperf_list
      (sysperf_cur,interval_min_IN=>120,end_date_IN=>sysdate-1);
   FETCH sysperf_cur INTO sysperf_rec;
   WHILE sysperf_cur%FOUND LOOP
      rec_count := rec_count+1;
      FETCH sysperf_cur INTO sysperf_rec;
  END LOOP;
  CLOSE sysperf_cur;
  dbms_output.put_line('SYSPERF REC_COUNT:  '||
      TO_CHAR(rec_count) );
END;
/

prompt **********************************************************
prompt *  tests the q$space.open_segfail_list                   *
prompt **********************************************************

DECLARE
segfail_cur   q$cvar.segfail_list_cvtype;
segfail_rec   q$cvar.segfail_list_rectype;
rec_count     INTEGER:=0;
BEGIN
   q$cvar.open_segfail_list(segfail_cur,1440);
   FETCH segfail_cur INTO segfail_rec;
   WHILE segfail_cur%FOUND LOOP
      rec_count := rec_count+1;
      FETCH segfail_cur INTO segfail_rec;
  END LOOP;
  CLOSE segfail_cur;
  dbms_output.put_line('SEGFAIL REC_COUNT:  '||
      TO_CHAR(rec_count) );
END;
/

prompt **********************************************************
prompt *  MTS dispatcher control list                           *
prompt **********************************************************

DECLARE
MTSdisp_busylist_cur   q$cvar.MTSdisp_busylist_cvtype;
MTSdisp_busylist_rec   q$cvar.MTSdisp_busylist_rectype;
rec_count     INTEGER:=0;
BEGIN
   q$cvar.open_MTSdisp_busylist(MTSdisp_busylist_cur);
   FETCH MTSdisp_busylist_cur INTO MTSdisp_busylist_rec;
   WHILE MTSdisp_busylist_cur%FOUND LOOP
      rec_count := rec_count+1;
      FETCH MTSdisp_busylist_cur INTO MTSdisp_busylist_rec;
  END LOOP;
  CLOSE MTSdisp_busylist_cur;
  dbms_output.put_line('MTSdisp_busylist REC_COUNT:  '||
      TO_CHAR(rec_count) );
END;
/


prompt **********************************************************
prompt *  MTS server control list                               *
prompt **********************************************************

DECLARE
MTSserv_busylist_cur   q$cvar.MTSserv_busylist_cvtype;
MTSserv_busylist_rec   q$cvar.MTSserv_busylist_rectype;
rec_count     INTEGER:=0;
BEGIN
   q$cvar.open_MTSserv_busylist(MTSserv_busylist_cur);
   FETCH MTSserv_busylist_cur INTO MTSserv_busylist_rec;
   WHILE MTSserv_busylist_cur%FOUND LOOP
      rec_count := rec_count+1;
      FETCH MTSserv_busylist_cur INTO MTSserv_busylist_rec;
  END LOOP;
  CLOSE MTSserv_busylist_cur;
  dbms_output.put_line('MTSserv_busylist REC_COUNT:  '||
      TO_CHAR(rec_count) );
END;
/

