/* ==================================================== */
/* Copyright(c) 1997 by SAVANT Corp.                    */
/* All rights reserved.                                 */
/* ==================================================== */
var return_code NUMBER

rem *****************************************************
rem * tests the Q$TREND package
rem *****************************************************
rem *****************************************************
rem * Modification History:
rem *
rem * 6/22/97:  added TO_CHAR to dbms_output    [JMB]
rem *           calls because some ORACLEs barf
rem * 5/22/97:  added to QSQL project           [JMB]
rem *****************************************************

set serveroutput on size 1000000
var return_code NUMBER
DECLARE
Instance_trend_rec   q$trend.Instance_trend_rectype;
Instance_cusum_rec   q$trend.Instance_cusum_rectype;
sysperf_trend_rec    q$trend.sysperf_trend_rectype;
BEGIN
   FOR i IN 1..5
   LOOP
      q$trend.get_Instance_trend
               (i
               ,:return_code
               ,Instance_trend_rec
               ,Instance_cusum_rec);
      --
      dbms_output.put_line('**********************************************************************');
      dbms_output.put_line('***  TRENDING TYPE: '||TO_CHAR(i)||'                               ***');
      dbms_output.put_line('**********************************************************************');
      dbms_output.put_line('RETURN_CODE: '||TO_CHAR(:return_code) );
      dbms_output.put_line('logons_pk: '||TO_CHAR(ROUND(Instance_trend_rec.logons_pk,3)) );
      dbms_output.put_line('open_cursors_pk: '||TO_CHAR(ROUND(Instance_trend_rec.open_cursors_pk,3)) );
      dbms_output.put_line('sorts_min_pk: '||TO_CHAR(ROUND(Instance_trend_rec.sorts_min_pk,3)) );
      dbms_output.put_line('table_scans_min_pk: '||TO_CHAR(ROUND(Instance_trend_rec.table_scans_min_pk,3)) );
      dbms_output.put_line('rbs_xacts_pk: '||TO_CHAR(ROUND(Instance_trend_rec.rbs_xacts_pk,3)) );
      dbms_output.put_line('active_tempsegs_pk: '||TO_CHAR(ROUND(Instance_trend_rec.active_tempsegs_pk,3)) );
      dbms_output.put_line('redo_size_min_pk: '||TO_CHAR(ROUND(Instance_trend_rec.redo_size_min_pk,3)) );
      dbms_output.put_line('dbf_physrds_min_pk: '||TO_CHAR(ROUND(Instance_trend_rec.dbf_physrds_min_pk,3)) );
      dbms_output.put_line('dbf_physwrts_min_pk: '||TO_CHAR(ROUND(Instance_trend_rec.dbf_physwrts_min_pk,3)) );
      dbms_output.put_line('db_buf_hitratio_avg: '||TO_CHAR(ROUND(Instance_trend_rec.db_buf_hitratio_avg,3)) );
      dbms_output.put_line('db_buf_hitratio_std: '||TO_CHAR(ROUND(Instance_trend_rec.db_buf_hitratio_std,3)) );
      dbms_output.put_line('dicache_hitratio_avg: '||TO_CHAR(ROUND(Instance_trend_rec.dicache_hitratio_avg,3)) );
      dbms_output.put_line('dicache_hitratio_std: '||TO_CHAR(ROUND(Instance_trend_rec.dicache_hitratio_std,3)) );
      dbms_output.put_line('libcache_hitratio_avg: '||TO_CHAR(ROUND(Instance_trend_rec.libcache_hitratio_avg,3)) );
      dbms_output.put_line('libcache_hitratio_std: '||TO_CHAR(ROUND(Instance_trend_rec.libcache_hitratio_std,3)) );
      dbms_output.put_line('latch_getmissratio_avg: '||TO_CHAR(ROUND(Instance_trend_rec.latch_getmissratio_avg,3)) );
      dbms_output.put_line('latch_getmissratio_std: '||TO_CHAR(ROUND(Instance_trend_rec.latch_getmissratio_std,3)) );
      dbms_output.put_line('IOskew_avg: '||TO_CHAR(ROUND(Instance_trend_rec.IOskew_avg,3)) );
      dbms_output.put_line('logons_avg: '||TO_CHAR(ROUND(Instance_trend_rec.logons_avg,3)) );
      dbms_output.put_line('open_cursors_avg: '||TO_CHAR(ROUND(Instance_trend_rec.open_cursors_avg,3)) );
      dbms_output.put_line('sorts_min_avg: '||TO_CHAR(ROUND(Instance_trend_rec.sorts_min_avg,3)) );
      dbms_output.put_line('table_scans_min_avg: '||TO_CHAR(ROUND(Instance_trend_rec.table_scans_min_avg,3)) );
      dbms_output.put_line('rbs_xacts_avg: '||TO_CHAR(ROUND(Instance_trend_rec.rbs_xacts_avg,3)) );
      dbms_output.put_line('active_tempsegs_avg: '||TO_CHAR(ROUND(Instance_trend_rec.active_tempsegs_avg,3)) );
      dbms_output.put_line('redo_size_min_avg: '||TO_CHAR(ROUND(Instance_trend_rec.redo_size_min_avg,3)) );
      dbms_output.put_line('dbf_physrds_min_avg: '||TO_CHAR(ROUND(Instance_trend_rec.dbf_physrds_min_avg,3)) );
      dbms_output.put_line('dbf_physwrts_min_avg: '||TO_CHAR(ROUND(Instance_trend_rec.dbf_physwrts_min_avg,3)) );
/* averages and sigmas for funnel controls   */
      dbms_output.put_line('bufbusy_waits_min_avg: '||TO_CHAR(ROUND(Instance_trend_rec.bufbusy_waits_min_avg,3)) );
      dbms_output.put_line('bufbusy_waits_min_std: '||TO_CHAR(ROUND(Instance_trend_rec.bufbusy_waits_min_std,3)) );
      dbms_output.put_line('bufbusy_avgwait_avg: '||TO_CHAR(ROUND(Instance_trend_rec.bufbusy_avgwait_avg,3)) );
      dbms_output.put_line('bufbusy_avgwait_std: '||TO_CHAR(ROUND(Instance_trend_rec.bufbusy_avgwait_std,3)) );
      dbms_output.put_line('dbfileio_waits_min_avg: '||TO_CHAR(ROUND(Instance_trend_rec.dbfileio_waits_min_avg,3)) );
      dbms_output.put_line('dbfileio_waits_min_std: '||TO_CHAR(ROUND(Instance_trend_rec.dbfileio_waits_min_std,3)) );
      dbms_output.put_line('dbfileio_avgwait_avg: '||TO_CHAR(ROUND(Instance_trend_rec.dbfileio_avgwait_avg,3)) );
      dbms_output.put_line('dbfileio_avgwait_std: '||TO_CHAR(ROUND(Instance_trend_rec.dbfileio_avgwait_std,3)) );
      dbms_output.put_line('lgfileio_waits_min_avg: '||TO_CHAR(ROUND(Instance_trend_rec.lgfileio_waits_min_avg,3)) );
      dbms_output.put_line('lgfileio_waits_min_std: '||TO_CHAR(ROUND(Instance_trend_rec.lgfileio_waits_min_std,3)) );
      dbms_output.put_line('lgfileio_avgwait_avg: '||TO_CHAR(ROUND(Instance_trend_rec.lgfileio_avgwait_avg,3)) );
      dbms_output.put_line('lgfileio_avgwait_std: '||TO_CHAR(ROUND(Instance_trend_rec.lgfileio_avgwait_std,3)) );
/* cusum (avg dev) for eyeball vertical displacement  */
      dbms_output.put_line('db_buf_hitratio_csum: '||TO_CHAR(ROUND(Instance_cusum_rec.db_buf_hitratio_csum,3)) );
      dbms_output.put_line('dicache_hitratio_csum: '||TO_CHAR(ROUND(Instance_cusum_rec.dicache_hitratio_csum,3)) );
      dbms_output.put_line('libcache_hitratio_csum: '||TO_CHAR(ROUND(Instance_cusum_rec.libcache_hitratio_csum,3)) );
      dbms_output.put_line('latch_getmissratio_csum: '||TO_CHAR(ROUND(Instance_cusum_rec.latch_getmissratio_csum,3)) );
/* sigmas for ramp controls   */
      dbms_output.put_line('logons_std: '||TO_CHAR(ROUND(Instance_trend_rec.logons_std,3)) );
      dbms_output.put_line('open_cursors_std: '||TO_CHAR(ROUND(Instance_trend_rec.open_cursors_std,3)) );
      dbms_output.put_line('sorts_min_std: '||TO_CHAR(ROUND(Instance_trend_rec.sorts_min_std,3)) );
      dbms_output.put_line('table_scans_min_std: '||TO_CHAR(ROUND(Instance_trend_rec.table_scans_min_std,3)) );
      dbms_output.put_line('rbs_xacts_std: '||TO_CHAR(ROUND(Instance_trend_rec.rbs_xacts_std,3)) );
      dbms_output.put_line('active_tempsegs_std: '||TO_CHAR(ROUND(Instance_trend_rec.active_tempsegs_std,3)) );
      dbms_output.put_line('redo_size_min_std: '||TO_CHAR(ROUND(Instance_trend_rec.redo_size_min_std,3)) );
      dbms_output.put_line('dbf_physrds_min_std: '||TO_CHAR(ROUND(Instance_trend_rec.dbf_physrds_min_std,3)) );
      dbms_output.put_line('dbf_physwrts_min_std: '||TO_CHAR(ROUND(Instance_trend_rec.dbf_physwrts_min_std,3)) );
/*  MTS ramp and funnel trends    */
      dbms_output.put_line('disp_busyrate_avg: '||TO_CHAR(ROUND(Instance_trend_rec.disp_busyrate_avg,3)) );
      dbms_output.put_line('serv_busyrate_avg: '||TO_CHAR(ROUND(Instance_trend_rec.serv_busyrate_avg,3)) );
      dbms_output.put_line('disp_queue_min_avg: '||TO_CHAR(ROUND(Instance_trend_rec.disp_queue_min_avg,3)) );
      dbms_output.put_line('disp_queue_min_std: '||TO_CHAR(ROUND(Instance_trend_rec.disp_queue_min_std,3)) );
      dbms_output.put_line('serv_queue_min_avg: '||TO_CHAR(ROUND(Instance_trend_rec.serv_queue_min_avg,3)) );
      dbms_output.put_line('serv_queue_min_std: '||TO_CHAR(ROUND(Instance_trend_rec.serv_queue_min_std,3)) );
      dbms_output.put_line('disp_queue_avgwait_avg: '||TO_CHAR(ROUND(Instance_trend_rec.disp_queue_avgwait_avg,3)) );
      dbms_output.put_line('disp_queue_avgwait_std: '||TO_CHAR(ROUND(Instance_trend_rec.disp_queue_avgwait_std,3)) );
      dbms_output.put_line('serv_queue_avgwait_avg: '||TO_CHAR(ROUND(Instance_trend_rec.serv_queue_avgwait_avg,3)) );
      dbms_output.put_line('serv_queue_avgwait_std: '||TO_CHAR(ROUND(Instance_trend_rec.serv_queue_avgwait_std,3)) );
/* system performance trends     */
      dbms_output.put_line('sysperf_avg: '||TO_CHAR(ROUND(Instance_trend_rec.sysperf_avg)) );
      dbms_output.put_line('sysperf_std: '||TO_CHAR(ROUND(Instance_trend_rec.sysperf_std)) );
      dbms_output.put_line('sysperf_min: '||TO_CHAR(ROUND(Instance_trend_rec.sysperf_min)) );
      dbms_output.put_line('sysperf_pk: '||TO_CHAR(ROUND(Instance_trend_rec.sysperf_pk)) );
   END LOOP;
END;
/
