rem ****************************************
rem * connect.sql: used to test connection
rem *              
rem * parm1 = temp file name (full path) 
rem * parm2 = directory to find qchkall.sql
rem ****************************************
set verify off
undefine parm_dir
undefine source_dir

DEFINE parm_dir=&2

rem  *** remove trailing slash from directory name
rem  *** and put into source_dir variable

set termout off
col parm_dir_noslash new_value source_dir
select DECODE(
               SUBSTR('&&parm_dir',LENGTH('&&parm_dir'),1) 
               ,'/', SUBSTR('&&parm_dir',1,LENGTH('&&parm_dir')-1 )
               ,'\', SUBSTR('&&parm_dir',1,LENGTH('&&parm_dir')-1 )
               ,'&&parm_dir')            parm_dir_noslash
from dual;
set termout on

set linesize 80
set head off
set feedback off

spool &1

var return_code NUMBER
start &&source_dir\qchkall.sql &&source_dir


col FREE_SPACE format 9999999999999990
col TABLESPACE format a30
col x format a5

select 'TBS: ' x,tablespace_name TABLESPACE, sum(bytes)/(1024) FREE_SPACE 
  from dba_free_space
group by tablespace_name;


BEGIN
   IF :check_return_code = 0
   THEN
      dbms_output.put_line('SUCCESS');
   END IF;
END;
/

spool off

exit
