rem $DBA/tabanala.sql
rem
rem Create sql script to display the size of an average row for a given table
rem
rem
rem Last Change 08/26/97 by Brian Lomasky
rem
set feedback off
set termout off
set verify off
set heading off
set pagesize 9999
spool tabanala.tmp
select 'set termout off' from dual;
select 'set feedback off' from dual;
select 'set verify off' from dual;
select 'set heading off' from dual;
select 'column sar format 999999' from dual;
select 'spool tabanala.tmp' from dual;
select 'select floor(' from dual;
select 'avg(nvl(vsize('||rtrim(column_name)||'), 0)) +'
	from dba_tab_columns
	where owner = '&&1' and table_name = '&&2' and data_type <> 'LONG';
select '0) sar from &&3;' from dual;
rem LONG columns can not appear in any SQL function (such as vsize)
select distinct 'REM xyzzyplugh'
	from dba_tab_columns
	where owner = '&&1' and table_name = '&&2' and data_type = 'LONG';
select 'spool off' from dual;
select 'exit' from dual;
spool off
exit
