rem validate.sql
rem Creates a script to ANALYZE VALIDATE STRUCTURE all tables (and their
rem indexes) for a specific database
rem
set pagesize 9999
set verify off
set feedback off
set termout off
set heading off
set linesize 132
set concat +
spool validate_&1.sql
set concat .
rem SELECT 'SET ECHO ON' FROM DUAL;
rem SELECT 'SET TERMOUT ON' FROM DUAL;
rem SELECT 'SET TIME ON' FROM DUAL;
SELECT 'ANALYZE TABLE '||RTRIM(OWNER)||'.'||RTRIM(TABLE_NAME)||
	' VALIDATE STRUCTURE CASCADE;'
FROM SYS.DBA_TABLES
WHERE SUBSTR(TABLE_NAME,1,1) <> '_'
ORDER BY 1;
SELECT 'EXIT' FROM DUAL;
spool off
exit
